Subject: bug#11964: describe-char causes a fatal error (abort trap: 6) in non-windowed mode

From: Dan Maftei <[email-masked]>
Date: Mon, 5 Nov 2012 13:52:03 -0500

The but is not reproducible on the following Mac build: GNU Emacs 24.1.1
(x86_64-apple-darwin12.0.0, Carbon Version 1.6.0 AppKit 1187).

Dan

On Mon, Nov 5, 2012 at 9:23 AM, Chong Yidong <[email-masked]> wrote:

> Dan Maftei <[email-masked]> writes:
>
> > GNU Emacs 24.1.1 (x86_64-apple-darwin11.4.0, NS apple-appkit-1138.47)
> >
> > emacs -Q -nw
> > n C-x 8 <RET> 0303 <RET> C-b C-u C-x =
> >
> > This crashes emacs. I am returned to bash. "Fatal error (10)" is
> > written to the screen. After about 3 seconds, "Abort trap: 6" is
> > appended to the same line, and I am returned to the prompt.
>
> I could on reproduce this on x86_64-unknown-linux-gnu with either Emacs
> 24.1 or latest emacs-24 branch.  This may be Mac-only; could someone
> running on Mac OS please check?
>